#include "xgfxstaticmodeldrawinst.h"

XGfxStaticModelDrawInst::XGfxStaticModelDrawInst()
    : XAsset()
    , mCullDist(false)
    , mPlacement()
    , mModel(new XModel())
    , mReflectionProbeIndex(0)
    , mPrimaryLightIndex(0)
    , mLightingHandle(0)
    , mFlags(0)
{
    
}

XGfxStaticModelDrawInst::~XGfxStaticModelDrawInst()
{
    
}

void XGfxStaticModelDrawInst::ParseData(QDataStream *aStream)
{
    
}

void XGfxStaticModelDrawInst::Clear()
{
    
}
